Bug 116992 - fastest checksum algorithm not chosen for RAID 5
fastest checksum algorithm not chosen for RAID 5
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-02-26 23:59 EST by Ellen Shull
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-02-27 09:07:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
full dmesg (11.18 KB, text/plain)
2004-02-27 00:00 EST, Ellen Shull
no flags Details

  None (edit)
Description Ellen Shull 2004-02-26 23:59:02 EST
Description of problem: 
from dmesg: 
raid5: measuring checksumming speed 
   8regs     :  2212.000 MB/sec 
   8regs_prefetch:  2020.000 MB/sec 
   32regs    :  1488.000 MB/sec 
   32regs_prefetch:  1388.000 MB/sec 
   pIII_sse  :  1600.000 MB/sec 
   pII_mmx   :  3964.000 MB/sec 
   p5_mmx    :  5272.000 MB/sec 
raid5: using function: pIII_sse (1600.000 MB/sec) 
Version-Release number of selected component (if applicable): 
(probably all kernels between them too, didn't install those) 
How reproducible: 
always on my system (haven't tried on others) 
Steps to Reproduce: 
1. Boot with an affected kernel on a system with a Linux software 
RAID 5 volume (duh!) 
Actual results: 
says it's using the pIII_sse function 
Expected results: 
It should use the p5_mmx function, which is listed as fastest 
Of course, I'm trusting the kernel isn't lying.  Also, could be 
other factors that are leading it to choose the slower function...  
if so, would be nice if it would say so. 
For all I know, this could have affected older (FC1, RH9, ...) 
release kernels too...  my logs don't go back far enough for me to 
Comment 1 Ellen Shull 2004-02-27 00:00:24 EST
Created attachment 98095 [details]
full dmesg
Comment 2 Dave Jones 2004-02-27 09:07:33 EST
This isn't a bug. It's intended to work this way.
It chooses the SSE routine over the others if it can use it, because
it avoids trashing whats in the cache.

Note You need to log in before you can comment on or make changes to this bug.